Package org.eclipse.debug.core.model

# Interface IFilteredStep

All Superinterfaces:
  `IStep`

@Deprecated public interface IFilteredStep extends IStep
Deprecated.
clients should implement `IStepFilters` instead
Provides the ability to perform a filtered step. Implementations must be non- blocking. Filter implementation is debug model specific and may not be supported by all debug models.

Clients may implement this interface.

Since:
  2.1

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canStepWithFilters()`
Deprecated.
Returns whether this element can currently perform a filtered step into.
`void`
`stepWithFilters()`
Deprecated.
Steps into the current statement, generating `RESUME` and `SUSPEND` events for the associated thread, applying step filters, as applicable for the associated thread.

### Methods inherited from interface org.eclipse.debug.core.model.IStep

`canStepInto, canStepOver, canStepReturn, isStepping, stepInto, stepOver, stepReturn`

## Method Details

### canStepWithFilters

boolean canStepWithFilters()
Deprecated.
Returns whether this element can currently perform a filtered step into.

Returns:
  whether this element can currently perform a filtered step into

### stepWithFilters

void stepWithFilters() throws DebugException
Deprecated.
Steps into the current statement, generating `RESUME` and `SUSPEND` events for the associated thread, applying step filters, as applicable for the associated thread. Can only be called when the associated thread is suspended. Implementations must implement stepping as non- blocking.

Throws:
  `DebugException` - on failure. Reasons include:
  - TARGET_REQUEST_FAILED - The request failed in the target
  - NOT_SUPPORTED - The capability is not supported by the target